Subject: [bug#69414] [bug#69911] [PATCH gnome-team 0/6] GNOME 44.10 update

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 20 Mar 2024 14:29:27 -0400

Hi Christopher,

Christopher Baines <[email-masked]> writes:

> Vivien Kraus <[email-masked]> writes:
>
>> Hello,
>>
>> Le mercredi 20 mars 2024 à 10:42 +0000, Christopher Baines a écrit :
>>> Is there anything that needs to happen before gnome-team can be
>>> merged?
>>
>> There are concerning failures, such as lightdm, that must be
>> investigated. QA has also highlighted flaky tests in a bunch of
>> packages, and a time-bomb (kcalendarcore).
>
> I had a go to looking in to lightdm not building and it looks to maybe
> be dbus related, but I've got no idea really. Debian and nixpkgs don't
> even run the test suite as far as I can tell. I also tried the system
> test and that seems to pass. So maybe we raise the issue with upstream
> and disable the testsuite for now.

I'd rather we spend a bit of time investigating the underlying failure
and engage with upstream if there's a need.  Setting #:tests? #f is
easy, but it means the sometimes serious efforts that were needed to
enable the test suite go into bitrot, making it harder to re-enable at
a later time (thus unlikely).

-- 
Thanks,
Maxim